osmo_plmn_id Struct Reference

`#include <gsm23003.h>`

## Data Fields

uint16_t | mcc
uint16_t | mnc
bool | mnc_3_digits

## Field Documentation

## mcc

uint16_t osmo_plmn_id::mcc

Referenced by gsm0808_create_layer3(), gsm0808_create_layer3_aoip(), gsm48_decode_lai(), gsm48_mcc_mnc_from_bcd(), gsm48_mcc_mnc_to_bcd(), osmo_gen_home_network_domain(), osmo_parse_home_network_domain(), osmo_parse_mme_domain(), osmo_plmn_cmp(), osmo_plmn_from_bcd(), osmo_plmn_name_buf(), and osmo_plmn_to_bcd().

## mnc

uint16_t osmo_plmn_id::mnc

Referenced by gsm48_decode_lai(), gsm48_mcc_mnc_from_bcd(), gsm48_mcc_mnc_to_bcd(), osmo_gen_home_network_domain(), osmo_parse_home_network_domain(), osmo_parse_mme_domain(), osmo_plmn_cmp(), osmo_plmn_from_bcd(), osmo_plmn_name_buf(), and osmo_plmn_to_bcd().

## mnc_3_digits

bool osmo_plmn_id::mnc_3_digits

Referenced by osmo_plmn_cmp(), osmo_plmn_from_bcd(), osmo_plmn_name_buf(), and osmo_plmn_to_bcd().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm23003.h